<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.4.0
Cambio: Se agrega la columna verificacionSAT
*/

session_name('portal_absa');
session_start();

require "../conexion/conectar.php";
require "../libs/funciones.php";

$conexion = new CONDB();
$conexion->conectar();

$page = $_GET['page']; // get the requested page
$limit = $_GET['rows']; // get how many rows we want to have into the grid
$sidx = $_GET['sidx']; // get index row - i.e. user click to sort
$sord = $_GET['sord']; // get the direction

if(!$sidx) $sidx =1;

$totalrows = isset($_REQUEST['totalrows']) ? $_REQUEST['totalrows']: false;
if($totalrows) {
	//$limit = (integer) $totalrows;
}

$filtros="";
$busqueda="";

// $filtros = json_decode($_REQUEST['filters'],true);

// $responce->rows[0]['cell']=array("","",print_r($filtros));
// echo json_encode($responce);
// exit;


if(isset($_REQUEST['filters'])){
	$filtros = json_decode(str_replace('\"', '"',$_REQUEST['filters']));
	foreach($filtros->rules as $rule){ 
		if(trim($rule->data) != ""){
			$busqueda.=" AND ".$rule->field." like '%".$rule->data."%'";
		}
	}
}

$auxQuery = str_replace("<<FILTROENGRID>>",$busqueda,str_replace("\\","",$_SESSION['query_recibedoce']));
$auxQueryCount = str_replace("<<FILTROENGRID>>",$busqueda,str_replace("\\","",$_SESSION['query_count_recibedoce']));

$_SESSION['query_recibedoce'] = str_replace("\\","",$_SESSION['query_recibedoce']);
//$SQL_1="select COUNT(*) as count from (".$_SESSION['query_recibedoce'].") as temp";
$SQL_1=$auxQueryCount;
//$SQL_1="select COUNT(*) as count from (select rfcemisor,tipodocto,serie,folio from doce) as temp";


$result = mysqli_query($conexion->CONEXION,$SQL_1) or die(mysqli_error($conexion->CONEXION));


$row = mysqli_fetch_array($result,MYSQLI_ASSOC);
$count = (integer) $row['count'];

if( $count >0 ) {
	$total_pages = (integer) ceil($count/$limit);
} else {
	$total_pages = 0;
}
if ($page > $total_pages) $page=$total_pages;
if ($limit<0) $limit = 0;
$start = (integer) $limit*$page - $limit;
if ($start<0) $start = 0;

$SQL = $auxQuery." order by $sidx $sord LIMIT $start , $limit";
//$SQL = "select rfcemisor,tipodocto,serie,folio from doce order by $sidx $sord LIMIT $start , $limit";

$result = mysqli_query($conexion->CONEXION, $SQL ) or die(mysqli_error($conexion->CONEXION));

$responce = new stdClass();
$responce->page = $page;
$responce->total = $total_pages;
$responce->records = $count;
$i=0;
$_SESSION['datosGrid1']="";
unset($_SESSION['datosGrid1']);

$DESCARGAR_ARCHIVOS="SI";

if(file_exists("../config.ini")){
	$vlineas = file("../config.ini");
	foreach ($vlineas as $sLinea) {
		if(substr($sLinea,0,19) == "DESCARGAR_ARCHIVOS="){
				$DESCARGAR_ARCHIVOS=trim(substr($sLinea,19));
		}
		if(substr($sLinea,0,25) == "CAMBIA_STATUS_RECHAZADAS="){
				$CAMBIA_STATUS_RECHAZADAS=trim(substr($sLinea,25));
		}
	}
}

$valorIni = getINI("CAMPOS_ORDEN=","../config.ini");

$arrConf = explode(",",$valorIni);

//Extraigo Configuracion General de notificaciones
$notificar_fecha_inicio="";
$qConfig = "select notificar_dias,notificar_despuesde,notificar_repetirdias,notificar_correos,notificar_asunto,notificar_correos_cc,notificar_fecha_inicio,tolerancia_NPvsComplemento,tolerancia_NPvsFactura,tolerancia_FacturaPagada,tolerancia_CompensacionEgreso,tolerancia_tipoCambio from configpagina where rfc_receptor='".$_SESSION['RFC_RECEPTOR_PORTAL']."' limit 1";
if($rConfig = mysqli_query($conexion->CONEXION,$qConfig)){	
	if(mysqli_num_rows($rConfig) > 0){
		$tConfig = mysqli_fetch_assoc($rConfig);
		$notificar_fecha_inicio = $tConfig["notificar_fecha_inicio"];
		$tConfig["tolerancia_NPvsComplemento"] = (float) $tConfig["tolerancia_NPvsComplemento"];
		$tConfig["tolerancia_NPvsFactura"] = (float) $tConfig["tolerancia_NPvsFactura"];
		$tConfig["tolerancia_FacturaPagada"] = (float) $tConfig["tolerancia_FacturaPagada"];
		$tConfig["tolerancia_CompensacionEgreso"] = (float) $tConfig["tolerancia_CompensacionEgreso"];
		$tConfig["tolerancia_tipoCambio"] = (float) $tConfig["tolerancia_tipoCambio"];
	}
}


if(mysqli_num_rows($result) > 0){
	while($row = mysqli_fetch_array($result,MYSQLI_ASSOC)){

					//$responce->rows[$i]['id']='';
					
									$nombreArchivo = explode(".",$row['ArchivoXML'],-1);
									$nombrePart="";
									for($j=0; $j < count($nombreArchivo); $j++){
											if($nombrePart != "")
												$nombrePart.=".".$nombreArchivo[$j];
											else
												$nombrePart.=$nombreArchivo[$j];
												
									}
									$STD = $nombrePart."_STD.pdf";
									
					if($row['usarRutaDistribuida'] == "SI"){
						$year = substr($row['fechaRecibido'],0,4);
						$mes = substr($row['fechaRecibido'],5,2);
						
						/*PARA DESCARGA*/
						$rutaSTD=$row['pdf'].$year."/".$mes."/".$STD;
						$row['xml'].=$year."/".$mes."/".$row['ArchivoXML'];
						$row['pdf'].=$year."/".$mes."/".$row['ArchivoPDF'];
						
						/*PARA ABRIR EN EL NAVEGADOR*/
						$rutaSTDHTTP=$row['rutaPDF'].$year."/".$mes."/".$STD;
						$row['rutaXML'].=$year."/".$mes."/".$row['ArchivoXML'];
						$row['rutaPDF'].=$year."/".$mes."/".$row['ArchivoPDF'];
											
											
					}else{
						/*PARA DESCARGA*/
						$rutaSTD=$row['pdf'].$STD;
						$row['xml'].=$row['ArchivoXML'];
						$row['pdf'].=$row['ArchivoPDF'];
						
						/*PARA ABRIR EN EL NAVEGADOR*/
						$rutaSTDHTTP=$row['rutaPDF'].$STD;
						$row['rutaXML'].=$row['ArchivoXML'];
						$row['rutaPDF'].=$row['ArchivoPDF'];
					}
					
					$row['xml'] = trim(str_replace("<<RFCRECEPTOR>>",$row['rfc_receptor'],str_replace('\\','/',$row['xml'])));
					$row['pdf'] = trim(str_replace("<<RFCRECEPTOR>>",$row['rfc_receptor'],str_replace('\\','/',$row['pdf'])));
					
					
					$rutaSTD = trim(str_replace('\\','/',$rutaSTD));
									
									
					
					/*$responce->rows[$i]['cell']=array($row['xml']);
					echo json_encode($responce);
					exit;*/
									
									
									
					if($_SESSION["mostrar_pdf_std"] == "SI"){
						if(is_file($rutaSTD)){
							
							if(trim($DESCARGAR_ARCHIVOS) == "SI"){
								/*PARA DESCARGA*/
								$iconoSTD=' <img src="grids/Imagenes/solocirculochico.png" width="11" height="15" style="cursor:pointer" title="Descargar PDF Standard" 
								onClick="descargar(\''.urlencode($STD).'\',\''.urlencode(str_replace('../','',$rutaSTD)).'\',\''.$row['status'].'\'); return false;"/> ';
							}else{
								/*PARA ABRIR EN EL NAVEGADOR*/
								$iconoSTD=' <a href="'.$rutaSTDHTTP.'" style="outline: none; border:none" target="_blank"><img src="grids/Imagenes/solocirculochico.png" width="11" height="15" style="cursor:pointer" title="Descargar PDF Standard"/></a> ';	
							}
							
						}else{
								$iconoSTD=' <img src="grids/Imagenes/nodisponible.jpg" width="11" height="15" title="PDF standard no disponible"/> ';
						}
					}
									
									if($_SESSION["mostrar_pdf_std"] != "SI")
										$iconoSTD=" ";
										
					if(is_file($row['xml'])){
						if(trim($DESCARGAR_ARCHIVOS) == "SI"){
							/*PARA DESCARGA*/
							$iconoXML='<img src="grids/Imagenes/xml.png" width="11" height="15" style="cursor:pointer" title="Descargar XML" 
							onClick="descargar(\''.urlencode($row['ArchivoXML']).'\',\''.urlencode(str_replace('../','',$row['xml'])).'\',\''.$row['status'].'\'); return false;"/>';
						}else{
							/*PARA ABRIR EN EL NAVEGADOR*/
							/*$iconoXML='<img src="grids/Imagenes/xml.png" width="11" height="15" style="cursor:pointer" title="Descargar XML" 
							onClick="window.open(\''.urlencode(str_replace('../','',$row['rutaXML'])).'\',\'_blank\')">';*/
							$iconoXML=' <a href="'.str_replace('../','',$row['rutaXML']).'" style="outline: none; border:none" target="_blank"><img src="grids/Imagenes/xml.png" width="11" height="15" style="cursor:pointer" title="Descargar XML"/></a>';
						}
					}else{
						$iconoXML='<img src="grids/Imagenes/nodisponible.jpg" width="11" height="15" title="XML no disponible"/>';
					}
					
					
					if(is_file($row['pdf'])){
						if(trim($DESCARGAR_ARCHIVOS) == "SI"){
							/*PARA DESCARGA*/
							$iconoPDF='<img src="grids/Imagenes/pdf.png" width="11" height="15" style="cursor:pointer" title="Descargar PDF" 
							onClick="descargar(\''.urlencode($row['ArchivoPDF']).'\',\''.urlencode(str_replace('../','',$row['pdf'])).'\',\''.$row['status'].'\'); return false;"/>';
						}else{
							/*PARA ABRIR EN EL NAVEGADOR*/
							/*$iconoPDF='<img src="grids/Imagenes/pdf.png" width="11" height="15" style="cursor:pointer" title="Descargar PDF" 
							onClick="window.open(\''.urlencode(str_replace('../','',$row['rutaPDF'])).'\',\'_blank\')">';*/
							$iconoPDF=' <a href="'.str_replace('../','',$row['rutaPDF']).'" style="outline: none; border: none" target="_blank"><img src="grids/Imagenes/pdf.png" width="11" height="15" style="cursor:pointer" title="Descargar PDF"/></a>';
						}
					}else{
						$iconoPDF='<img src="grids/Imagenes/nodisponible.jpg" width="11" height="15" style="cursor:pointer" title="PDF no disponible"/>';
					}
					
					$iconos = '<center><pre>'.$iconoXML.' '.$iconoPDF.$iconoSTD.'<img style="cursor: pointer" 
					onClick="ventanaModal(\'[grids/fechaRecibido.php,800,500]\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\',\''.$row['rfc_receptor'].'\'); return false;" src="Imagenes/viewdetailed.png" width="16" height="16" title="Ver Detalle"/> ';
					
					$rFecha = mysqli_query($conexion->CONEXION,"select  max(fechaRecibido) as fecharecibido from detallerecibedoce 
					where rfcemisor='".$row['rfcemisor']."' and tipodocto='".$row['tipodocto']."' and serie='".$row['serie']."' and folio='".$row['folio']."' and uuid='".$row['uuid']."'");
					
					if(mysqli_num_rows($rFecha) > 0){
						$tFecha = mysqli_fetch_array($rFecha,MYSQLI_ASSOC);
						
						$iconos.= '<img style="cursor: pointer" 
						onClick="ver_validaciones(\''.$row['rfcemisor'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\',\''.$row['tipodocto'].'\',\''.$tFecha['fecharecibido'].'\'); return false;" src="Imagenes/Preview64.png" width="16" height="16" title="Ver Validaciones"/> ';
					}
					
					
				  if($_SESSION['esAdmin_p_prov_absa'] == "SI"){
					  $iconos.='<img style="cursor: pointer"
					  onClick="if(confirm(\'Esta seguro de cancelar el documento:\nRFC Emisor: '.$row['rfcemisor'].'\nDocumento: '.$row['tipodocto'].'\nSerie: '.$row['serie'].'\nFolio: '.$row['folio'].'\nUUID: '.$row['uuid'].'\')){cancelar(\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\');} return false;" src="Imagenes/Cancel.png" width="16" height="16" title="Cancelar Documento"/>';
					  $iconos.='<img style="cursor: pointer" 
					  onClick="if(confirm(\'Esta seguro de eliminar el documento:\nRFC Emisor: '.$row['rfcemisor'].'\nDocumento: '.$row['tipodocto'].'\nSerie: '.$row['serie'].'\nFolio: '.$row['folio'].'\nUUID: '.$row['uuid'].'\')){delDoc(\''.$row['idReceptor'].'\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\');} return false;" src="Imagenes/Eraser.png" width="16" height="16" title="Eliminar Documento"/>';
				  }
							  //$responce->rows[$i]['cell']=array($_SESSION["tipo_portal"],"",$row['adicional'],$_SESSION['tipo_usuario_vimifos']);echo json_encode($responce); exit;
							  if($_SESSION["tipo_portal"] == "VIMIFOS"){
								  if(trim($row['status']) == "A" || trim($row['status']) == "W"){
									//if(strtoupper($row['adicional']) == "GASTOS" || strtoupper($row['adicional']) == "MATERIAS PRIMAS"){
									if(strtoupper($row['adicional']) == "GASTOS"){
									  if($_SESSION['tipo_usuario_vimifos'] == "DOCTOR" || $_SESSION['tipo_usuario_vimifos'] == "INTERNO"){
										  if($row['asignado_a'] == ""){
											  $iconos.='<img style="cursor: pointer" onClick="asignarUsuario(\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;" src="Imagenes/switch_course.png" width="16" height="16" title="Asignarme este documento"/>';
										  }else{
											  $iconos.='<img src="Imagenes/switch_course_grey.png" width="16" height="16" title="Documento ya asignado"/>';
										  }
									  }
									}
								  }
							  }
							  
				  /*if($_SESSION["tipo_portal"] == "ABSA"){
								if($_SESSION['esAdmin_p_prov_absa'] == "SI" || strtoupper(trim($_SESSION['tipo_usuario_ABSA'])) == "COMPRAS" || strtoupper(trim($_SESSION['tipo_usuario_ABSA'])) == "CONTABILIDAD"){
									  $iconos.='<img style="cursor: pointer" onClick="ventanaModal2(\'[editarAdicional.php,500,400]\',\''.$row['rfc_receptor'].'\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;" src="Imagenes/edit.png" width="16" height="16" title="Editar datos"/>';
								}
							  }else{
								 if($_SESSION['esAdmin_p_prov_absa'] == "SI"){
									  $iconos.='<img style="cursor: pointer" onClick="ventanaModal2(\'[editarAdicional.php,500,120]\',\''.$row['rfc_receptor'].'\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;" src="Imagenes/edit.png" width="16" height="16" title="Editar datos"/>';
								} 
							  }*/
				  $cambiaStatus="";
				  
				  if(trim($row['status']) == "A"){
						$img="acceptHand.png";
						$title="Aceptado";
						//$cambiaStatus='onClick="$j_6.messager.confirm(\'Confirmación\',\'¿Desea realizar la verificación del CFDI ante el SAT?\',function(r){if(r){ventanaModal3(\'[extras/verificaCFDI.php,500,150]\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;}});"';
					}else if(trim($row['status']) == "W"){
						$title="Advertencia";
						$img="Attention.png";
						$cambiaStatus='onClick="ventanaModal3(\'[formularios/form_cambiaStatus.php,500,150]\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;"';
					}else if(trim($row['status']) == "WS"){
						$title="Advertencia y Sector Primario";
						$img="WS.png";
						$cambiaStatus='onClick="ventanaModal3(\'[formularios/form_cambiaStatus.php,500,150]\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;"';
					}else if(trim($row['status']) == "S"){
						$title="Sector Primario";
						$img="pendienteAceptar.png";
						$cambiaStatus='onClick="ventanaModal3(\'[formularios/form_cambiaStatus.php,500,150]\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;"';
					}else if(trim($row['status']) == "E"){
						$title="En proceso validacion del ERP";
						$img="pendienteERP.png";
						$cambiaStatus='onClick="ventanaModal3(\'[formularios/form_cambiaStatus.php,500,150]\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;"';
					}else if(trim($row['status']) == "ES"){
						$title="En proceso validacion del ERP y Sector Primario";
						$img="pendienteERPS.png";
						$cambiaStatus='onClick="ventanaModal3(\'[formularios/form_cambiaStatus.php,500,150]\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;"';
					}else if(trim($row['status']) == "P"){
						$row['asignado_a']="";
						$title="En Proceso";
						$img="watch.png";
						$cambiaStatus='onClick="ventanaModal3(\'[formularios/form_cambiaStatus.php,500,150]\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;"';
					}else{
						$row['asignado_a']="";
						$img="rejectHand.png";
						$title="Rechazado";
						if(trim($CAMBIA_STATUS_RECHAZADAS) == "SI"){
							$cambiaStatus='onClick="ventanaModal3(\'[formularios/form_cambiaStatus.php,500,150]\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;"';
						}
					}
					
					
					
					if(trim($row['verificacionSAT']) == "?"){
						$imgSAT="about.png";
						$titleSAT="Verificado Erroneo";
					}else if(trim($row['verificacionSAT']) == "V"){
						$imgSAT="verificadoSAT.png";
						$titleSAT="Verificado Correctamente";
					}else if(trim($row['verificacionSAT']) == "C"){
						$titleSAT="Cancelado";
						$imgSAT="cancel.png";
					}
					
					$iconoVerificaCFDI="";
					if(trim($row['status']) == "A"){
						$iconoVerificaCFDI='<img style="cursor: pointer" src="Imagenes/'.$imgSAT.'" title="'.$titleSAT.'" width="16" height="16" 
						onClick="$j_6.messager.confirm(\'Confirmación\',\'¿Desea realizar la verificación del CFDI ante el SAT?\',function(r){if(r){ventanaModal3(\'[extras/verificaCFDI.php,500,150]\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;}});"/>';
					}
					if(trim($row['status_absa']) == "0"){
						$titleA="No Valido";
						$imgA="circulo_0.png";
					}else if(trim($row['status_absa']) == "1"){
						$titleA="Esperando validacion de Compras";
						$imgA="circulo_1.png";
					}else if(trim($row['status_absa']) == "2"){
						$titleA="Validado por Compras";
						$imgA="circulo_2.png";
					}else if(trim($row['status_absa']) == "3"){
						$titleA="Detenido";
						$imgA="circulo_3.png";
					}else if(trim($row['status_absa']) == "4"){
						$titleA="Validado por Contabilidad";
						$imgA="circulo_4.png";
					}
					
					//if($_SESSION['tipo_usuario_ABSA'] == "COMPRAS" || $_SESSION['tipo_usuario_ABSA'] == "CONTABILIDAD" || $_SESSION['esAdmin_p_prov_absa'] == "SI"){
						$combo='<center><img style="cursor: pointer" id="statusABSA_'.$i.'" src="Imagenes/'.$imgA.'" width="16" height="16" title="'.$titleA.'" onClick="ventanaModal3(\'[status_absa.php,300,150]\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['status_absa'].'\',this.id,\''.$row['status'].'\',\''.$row['uuid'].'\')"/></center>';
					/*}else{
						$combo="";
					}*/
					
					$idunico = uniqid();
					
					$chat="";
									$statusBit="";
					if(trim($row['comentario_compras']) != "" || trim($row['comentario_contabilidad']) != ""){
										$chat=' <img title="Ver Comentarios" src="grids/Imagenes/chat.png" width="16" height="16" onClick="ventanaModal2(\'[comentarios.php,500,250]\',\''.$row['rfc_receptor'].'\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;" /> ';
										
									}
									if(trim($_SESSION['tipo_usuario_ABSA']) != "EXTERNO"){
										$statusBit=' <img title="Ver Historial" src="grids/Imagenes/archived.png" width="16" height="16" onClick="ventanaModal2(\'[grids/historial.php,750,500]\',\'\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); return false;" /> ';
									}
									
									if($_SESSION['esAdmin_p_prov_absa']=="SI")
										$status = '<img style="cursor:pointer" title="'.$title.'" src="grids/Imagenes/'.$img.'" width="16" height="16" '.$cambiaStatus.'/>';
									else if($_SESSION['sesion_cambia_status_check']=="1" && ($title=="Advertencia" || $title=="Rechazado"))
												$status = '<img style="cursor:pointer" title="'.$title.'" src="grids/Imagenes/'.$img.'" width="16" height="16" '.$cambiaStatus.'/>';
									else
										$status = '<img title="'.$title.'" src="grids/Imagenes/'.$img.'" width="16" height="16"/>';
										
									if($_SESSION['sesion_agrega_pago_check'] == "1" || $_SESSION['esAdmin_p_prov_absa']=="SI"){
										$status.='<img style="cursor:pointer" title="Agregar Fecha de Pago" src="Imagenes/calendario.png" width="16" height="16" onClick="ventanaModal3(\'[formularios/form_aplicar_pago.php,700,250]\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\',\''.$idunico.'\'); return false;"/>';
									}
									
									
				
							   if(trim($row['status']) == "P" || trim($row['status']) == "W" || trim($row['status']) == "R"){
									$status.='<img style="cursor:pointer" title="Reprocesar" src="Imagenes/recycle.png" width="16" height="16" onClick="reprocesar(\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\',\''.$row['rfc_receptor'].'\'); return false;"/>';
							   }else{
								   $status.='&nbsp;&nbsp;&nbsp;';
							   }     
									
							if($_SESSION["tipo_portal"] == "ABSA")
								$iconos.="$chat$statusBit$status</pre></center>";
							else
								$iconos.="$status</pre></center>";
							
							if($row['comprobacion_prefijo'] != ""){
								$iconoComprobado='<img src="Imagenes/accept.png" width="16" height="16" />';
								$comprobado="Comprobado";
								$no_compobacion=$row['comprobacion_prefijo']."-".$row['comprobacion_no'];
								$fechaComprobado=$row['fecha_comprobacion'];
							}else{
								$iconoComprobado="";
								$comprobado="";
								$no_compobacion="";
								$fechaComprobado="";
							}
							
		//if(($_SESSION['tipo_usuario_ABSA'] == "CONTABILIDAD" && ($row['status_absa'] == "2" || $row['status_absa'] == "4" || $row['status_absa'] == "3")) || $_SESSION['tipo_usuario_ABSA'] != "CONTABILIDAD"){
								if($_SESSION['tipo_portal'] == "VIMIFOS" && strtoupper($row['adicional']) != "GASTOS")
									$row['asignado_a']="";
								
								$iconoPago="";
								$statusPago = $row['status_pago'];
								if($row['status_pago'] == "N")
									$iconoPago="noVisto.png";
								else if($row['status_pago'] == "R")
									$iconoPago="pendiente_pago.png";
								else if($row['status_pago'] == "P")
									$iconoPago="vobo.png";
								
								
								$row['status_pago']='<img id="icono_pago_'.$idunico.'" onclick="loadDiv(\'formularios/form_acuse_pago.php\',\'cuerpoPopup\',\''.$row['rfcemisor'].'\',\''.$row['tipodocto'].'\',\''.$row['serie'].'\',\''.$row['folio'].'\',\''.$row['uuid'].'\'); open_w();" style="cursor:pointer" src="Imagenes/'.$iconoPago.'"  width="16" height="16" />';
								
								$arrTemp = array();
								array_push($arrTemp,$iconos);
								array_push($arrTemp,$iconoVerificaCFDI);
								if($_SESSION['datosGrid1'] == ""){
									$_SESSION['datosGrid1']=" \t ";
								}else{
									$_SESSION['datosGrid1'].="\n \t ";
								}
								$_SESSION['datosGrid1'].="";
								for($j = 0; $j < count($arrConf); $j++){
									array_push($arrTemp,$row[$arrConf[$j]]);
									if($arrConf[$j] == "status_pago"){$row['status_pago']=$statusPago;}
									if($arrConf[$j] == "status_pagada"){$row['status_pagada']=$statusPagada;}
									if($arrConf[$j] == "status_compensada"){$row['status_compensada']=$statusCompensada;}
									if($arrConf[$j] == "comentarios"){$row['comentarios']=str_replace("\r\n","*-*-*",$row['comentarios']);}
									$_SESSION['datosGrid1'].= "\t".$row[$arrConf[$j]];
									
								}
								
								/*$_SESSION['datosGrid1'].=" \t \t".$row['rfc_receptor']."\t".$row['tipodocto']."\t".$row['serie']."\t".$row['folio']."\t".$row['uuid']."\t".$row['fechaDocto']."\t".$row['status_pago']."\t".$row['fecha_pago']."\t".$row['rfcemisor']."\t".$row['nombreemi']."\t".$row['total']."\t".$row['tipoMoneda']."\t".$row['status']."\t".$row['fechaRecibido']."\t".$row['adicional']."\t".$row['asignado_a']."\t".$no_compobacion."\t".$fechaComprobado."\t".$comprobado."\t".str_replace("\r\n","*-*-*",$row['comentarios'])."\n";*/
								
								
								
								$responce->rows[$i]['cell']=$arrTemp;
							
			$i++;
		//}
	}
}

echo json_encode($responce);

?>